API ReferenceEnd Users
Prepare the effective system prompt for an agent's attached persona
Authorization
BearerAuth AuthorizationBearer <token>
MagickMind API key (mm_...) or user JWT, sent as Authorization: Bearer <token>. /v1/chat/completions accepts an API key only. JWTs (not mm_ keys) may alternatively be passed as a ?token= query parameter.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/end-users/string/persona/prepare" \ -H "Content-Type: application/json" \ -d '{}'{ "active_persona_version_id": "string", "agent_id": "string", "computed_at": "string", "persona_id": "string", "system_prompt": "string", "ttl_seconds": 0, "user_id": "string"}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}{ "error": { "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "request_id": "string", "errors": [ { "field": "string", "message": "string" } ] }}